# Module: WpUsers::Detectable — Documentation by YARD 0.8.6.1

Class List Method List File List

# Module: WpUsers::Detectable

Included in:
  WpUsers
Defined in:
  lib/common/collections/wp_users/detectable.rb

## Instance Method Summary (collapse)

- - (WpUsers) passive_detection(wp_target, options = {})

  No passive detection.

- - (Hash) request_params
- - (Array<WpUser>) targets_items(wp_target, options = {}) protected

## Instance Method Details

### - (`WpUsers`) passive_detection(wp_target, options = {})

No passive detection

Returns:

- (`WpUsers`)

    12
    13
    14

    # File 'lib/common/collections/wp_users/detectable.rb', line 12

    def passive_detection(wp_target, options = {})
      new
    end

### - (`Hash`) request_params

Returns:

- (`Hash`)

    7

    # File 'lib/common/collections/wp_users/detectable.rb', line 7

    def request_params; {} end

### - (`Array<WpUser>`) targets_items(wp_target, options = {}) (protected)

Parameters:

- wp_target (`WpTarget`)
- options (`Hash`) (defaults to: `{}`)

Options Hash (`options`):

- :range (`Range`) — default: `(1..10)`

Returns:

- (`Array<WpUser>`)

    23
    24
    25
    26
    27
    28
    29
    30
    31

    # File 'lib/common/collections/wp_users/detectable.rb', line 23

    def targets_items(wp_target, options = {})
      range   = options[:range] || (1..10)
      targets = []

      range.each do |user_id|
        targets << WpUser.new(wp_target.uri, id: user_id)
      end
      targets
    end